
////////////////////////////////////////////////////////////////////////////////
// Popotte v3.0 cod par Krypt compil Aurora v1.0 (RC1)
// Copyright  2003/2007 par Kryptik Crations, Tout droits rservs.
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
//API CALLS

import INT GetCursorPos(POINT *lpPoint);
import INT ScreenToClient(INT hWnd,POINT *lpPoint);
import INT RemoveDirectory alias RemoveDirectoryA(POINTER lpPathName);
import INT MoveFile alias MoveFileA(POINTER lpExistingFileName,POINTER lpNewFileName);

//RedrawWindow() flags
#define RDW_INVALIDATE          0x0001
#define RDW_INTERNALPAINT       0x0002
#define RDW_ERASE               0x0004
#define RDW_VALIDATE            0x0008
#define RDW_NOINTERNALPAINT     0x0010
#define RDW_NOERASE             0x0020
#define RDW_NOCHILDREN          0x0040
#define RDW_ALLCHILDREN         0x0080
#define RDW_UPDATENOW           0x0100
#define RDW_ERASENOW            0x0200
#define RDW_FRAME               0x0400
#define RDW_NOFRAME             0x0800

// AutoURL Detect
#define EN_LINK          1803
#define ENM_LINK         67108864
#define WM_USER          0x0400
#define EM_GETTEXTRANGE  (WM_USER + 75)
#define EM_AUTOURLDETECT (WM_USER + 91)

//Pushbutton flags
#define BS_PUSHBUTTON       0x00000000
#define BS_DEFPUSHBUTTON    0x00000001

//listview notification codes
#define CLICK     0xFFFFFFFE
#define DCLICK    0xFFFFFFFD
#define RCLICK    0xFFFFFFFB
#define DRCLICK   0xFFFFFFFA

#define LVM_FIRST            0x1000
#define LVM_SETIMAGELIST    (LVM_FIRST + 3)
#define LVSIL_SMALL          1

//richedit mouse event mask
#define EN_MSGFILTER        0x700
#define ENM_MOUSEEVENTS     0x20000
#define WM_RBUTTONDOWN      0x204
#define WM_LBUTTONDBLCLK    0x0203

//RICHEDIT API MESSAGE
#define EM_GETSELTEXT      (WM_USER + 62)
#define EM_FINDWORDBREAK   (WM_USER + 76)
#define WB_ISDELIMITER     2

// Richedit UDT
struct CHARRANGE 
{
    INT cpMin;
    INT cpMax;
}

struct TEXTRANGE
{
    CHARRANGE chrg;
    Pointer lpstrText;
}

struct ENLINK
{
    NMHDR nmhdr;
    UNSIGNED INT msg;
    UNSIGNED INT wParam;
    INT lParam;
    CHARRANGE chrg;
}

struct MSGFILTER 
{
    NMHDR nmhdr;
    UNSIGNED INT msg;
    UNSIGNED INT wParam;
    INT lParam;
}

//Listview UDT
struct NMLISTVIEW
{
	UNSIGNED INT hwndFrom;
	INT idFrom;
	INT code;
    INT iItem; 
    INT iSubItem;
    UNSIGNED INT uNewState; 
    UNSIGNED INT uOldState; 
    UNSIGNED INT uChanged; 
    INT ptActionx;
	INT ptActiony;
    INT lParam; 
}


struct TVITEM
{
	UNSIGNED INT mask;
	INT hItem;
	UNSIGNED INT state;
	UNSIGNED INT stateMask;
	POINTER pszText;
	INT cchTextMax;
	INT iImage;
	INT iSelectedImage;
	INT cChildren;
	INT lParam;
}

struct NMTREEVIEW
{
	NMHDR hdr;
	UNSIGNED INT action;
	TVITEM itemOld;
	TVITEM itemNew;
	POINT ptDrag;
}

////////////////////////////////////////////////////////////////////////////////
//external subs
//registryAPI
extern STRING ARegGetValue(STRING Key,opt STRING ValueName);
extern INT ARegSetValue(STRING Key,STRING Value,opt STRING ValueName);
extern INT ARegSetDWValue(STRING Key,INT Value,opt STRING ValueName);
extern INT ARegCreateKey(STRING Key);
extern INT ARegDeleteKey(STRING Key);
extern STRING ARegEnumKey(STRING Key,INT Index);
extern STRING ARegEnumValue(STRING Key,INT Index);
extern INT ARegCountKeys(STRING Key);
extern INT ARegCountValues(STRING Key);

//SystemAPI
extern VOID GetSysFonts(INT hdc);
extern INT GetSysFontsCallback(LOGFONT lpNLF,NEWTEXTMETRIC lpNTM, INT FontType, INT LParam);
extern STRING GetSysUsername();
extern STRING GetWinOSName();
/*
//ListviewAPI
extern INT Finditem(INT listview, STRING itemtext);
extern INT setico(INT listview,INT item, INT subitem, INT image);

//TreeViewAPI
extern UNSIGNED INT GetParentItem(UNSIGNED INT hTreeView,UNSIGNED INT hChildItem);
extern INT SetBkgColor(UNSIGNED INT hTreeView,INT Color);
extern INT SetItemHeight(UNSIGNED INT hTreeView,INT HeightinPxl);
extern INT SetLineColor(UNSIGNED INT hTreeView,INT Color);
extern INT Expand(UNSIGNED INT hTreeView,INT hparent);
*/